> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific items (e.g., data plans) for a provider



## OpenAPI

````yaml /openapi.json get /api/v1/bills/discovery/biller-items/{category}/{billerName}
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/bills/discovery/biller-items/{category}/{billerName}:
    get:
      tags:
        - Bill | Discovery
      summary: Get specific items (e.g., data plans) for a provider
      operationId: BillDiscoveryController_getBillerItems
      parameters:
        - name: category
          required: true
          in: path
          schema:
            type: string
            enum:
              - AIRTIME
              - MOBILEDATA
              - CABLEBILLS
              - UTILITYBILLS
        - name: billerName
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillerItemsResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    BillerItemsResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          description: List of available billers
          type: array
          items:
            $ref: '#/components/schemas/BillerDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    BillerDto:
      type: object
      properties:
        id:
          type: number
          example: 17148
          description: Unique identifier for the biller
        biller_code:
          type: string
          example: BIL102
          description: Biller code
        name:
          type: string
          example: GLO VTU
          description: Name of the biller
        default_commission:
          type: number
          example: 0.03
          description: Default commission rate
        date_added:
          type: string
          example: '2022-09-19T18:27:55.327Z'
          description: Date the biller was added
        country:
          type: string
          example: NG
          description: Country code of the biller
        is_airtime:
          type: boolean
          example: true
          description: Indicates if the biller is an airtime provider
        biller_name:
          type: string
          example: GLO VTU
          description: Full name of the biller
        item_code:
          type: string
          example: AT133
          description: Item code for the biller
        short_name:
          type: string
          example: GLO VTU
          description: Short name of the biller
        fee:
          type: number
          example: 0
          description: Transaction fee charged by the biller
        commission_on_fee:
          type: boolean
          example: false
          description: Indicates if commission is applied on the fee
        reg_expression:
          type: string
          example: ^[+]{1}[0-9]+$
          description: Regex for validating customer input
        label_name:
          type: string
          example: Mobile Number
          description: Label name for customer input
        amount:
          type: number
          example: 0
          description: Amount for the biller (if fixed)
        is_resolvable:
          type: boolean
          example: true
          description: Indicates if the biller is resolvable
        group_name:
          type: string
          example: Airtime
          description: Group name under which the biller falls
        category_name:
          type: string
          example: Airtime
          description: Category name of the biller
        is_data:
          type: boolean
          example: null
          nullable: true
          description: Indicates if the biller is data-related
        default_commission_on_amount:
          type: number
          example: 0.03
          description: Default commission applied on amount
        commission_on_fee_or_amount:
          type: number
          example: 2
          description: 'How commission is applied: on fee or on amount'
        validity_period:
          type: string
          example: null
          nullable: true
          description: Validity period for the biller service (if applicable)
      required:
        - id
        - biller_code
        - name
        - default_commission
        - date_added
        - country
        - is_airtime
        - biller_name
        - item_code
        - short_name
        - fee
        - commission_on_fee
        - reg_expression
        - label_name
        - amount
        - is_resolvable
        - group_name
        - category_name
        - is_data
        - default_commission_on_amount
        - commission_on_fee_or_amount
        - validity_period
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````